
# Introduction

La configuration d'un serveur HTTP local permet de faire tourner le frontend en local sur "/geocontrib" 
et de faire pointer "/api" sur n'importe quel backend (dev, local ou autre ). La configuration est différent sous MacOSX et Linux

# Configuration apache

Dans la configuration apache générale (httpd.conf ou commande a2enmod ), activer les modules :
* mod_headers
* mod_proxy
* mod_ssl
* mod_proxy_http


À ajouter dans httpd.conf (MacOSX) ou apache2.conf (Linux)
```
 <Location /geocontrib >  
   ProxyPass http://localhost:8080/geocontrib
 </Location>


 SSLProxyEngine On
 <Location /api >  
    ProxyPass https://geocontrib.dev.neogeo.fr/geocontrib/api
    RequestHeader set Referer https://geocontrib.dev.neogeo.fr/
    # Pour la 4.2.x utiliser geocontrib.recette-stable.neogeo.fr
 </Location>
 ```

Pour que les changements soient pris en compte, il faut ensuite relancer le serveur apache.

## Spécifique Linux (Debian/Ubuntu)

- S'il n'est pas déjà disponible, installer Apache :
```
sudo apt get apache2
```
- a2enmod est disponible par défaut, saisir "a2enmod", puis rappeler la commande en ajoutant l'option (headers, proxy,...) correspondante dans la liste proposée.   
- il ne faut pas modifier le fichier httpd.conf, mais les lignes ci-dessous peuvent-être ajoutées à la fin du fichier apache2.conf qui se trouve dans le dossier "/etc/apache2"
- Relancer le serveur apache, avec la commande suivante:  
```
systemctl restart apache2
```

# Configuration dans le projet VueJS

Remplacer dans le fichier config.json du projet 
```
DOMAIN":"http://localhost:8010/", par "DOMAIN":"http://localhost/",
```
et 
```
"VUE_APP_DJANGO_API_BASE":"http://localhost:8010/api/", par "VUE_APP_DJANGO_API_BASE":"http://localhost/api/",
```

# Accès au site

Une fois le serveur frontend lancé ou relancé, le site est disponible sur "http://localhost/geocontrib/"
